<?php 

$FOCUS = ADMIN_FOCUS_URI . '/settings';

uss::$global['menu']->get( $menu_title )->add('settings', array(
	'label' => 'settings',
	'href' => core::url( ROOT_DIR . '/' . $FOCUS ),
	'active' => preg_match( "~^{$FOCUS}([a-z0-9/_\-]+)?~", $_GET['query'] )
));


// require all settings file;

require __DIR__ . '/general.php';
require __DIR__ . '/email.php';
require __DIR__ . '/users.php';


// settings click boxes

uss::focus( $FOCUS, function() use($FOCUS) {
	
	dashboard::view(function() use($FOCUS) { 
		
		$href = core::url( ROOT_DIR . '/' . $FOCUS );
	
?>
		
		<div class='container-fluid'>
			<div class='row settings-log'>
				
				<?php events::exec( 'admin.settings::index', array( 'href' => $href ) ); ?>
				
			</div>
		</div>
		
	<?php });
	
});